%define name kstreamripper
%define version 0.3.4
%define release %mkrel 1
%define __libtoolize true

Name: %{name}
Summary: KDE frontend to streamripper
Version: %{version}
Release: %{release}
License: GPL
Url: http://www.tuxipuxi.org/
Group: Sound
Source: %{name}-%{version}.tar.bz2
Source10: %{name}-16.png.bz2
Source11: %{name}-32.png.bz2
Source12: %{name}-48.png.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: fam-devel kdelibs-devel kdelibs-common
BuildRequires:  chrpath python


%description
KStreamRipper is a KDE-based frontend to streamripper. Streamripper is a 
command line utility for ripping online streams into mp3 files. 
KStreamRipper helps you with managing your preferred streams and makes 
ripping and listening to them easier.


%prep
%setup -q -n %{name}-%{version}

%build
./unpack_local_scons.sh
./scons configure prefix=$RPM_BUILD_ROOT/usr qtlibs=$QTDIR/%{_lib}

%make

%install
%makeinstall

rm $RPM_BUILD_ROOT/usr/share/doc/HTML/en/en/index.cache.bz2
chrpath -d %{buildroot}%{_bindir}/%{name}
install -d $RPM_BUILD_ROOT/%{_miconsdir}
install -d $RPM_BUILD_ROOT/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=%{title}
Comment=%{longtitle}
Exec=%{_bindir}/%{name} 
Terminal=false
Type=Application
StartupNotify=true
Categories=KDE;AudioVideo;Audio;Video;Player;
EOF



%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_datadir}/applnk/Utilities
%{_datadir}/apps/%{name}*
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop 




%post
%{update_menus}

%postun
%{clean_menus}


%changelog
* Fri Jul 06 2007 Emmanuel Blindauer <blindauer@mandriva.org> 0.3.4-1mdv2008.0
+ Revision: 49222
- fix x86_64 build
- missing python for new build system
- 0.3.4 version
- Another try to go through the BS ...
- yearly rebuild
- Import kstreamripper



* Sat Jan 07 2006 Anssi Hannula <anssi@mandriva.org> 0.3.3-2mdk
- fix x86_64 build
- %%mkrel
- quiet %%setup

* Fri May 13 2005 Emmanuel Blindauer <blindauer@mandriva.org> 0.3.3-1mdk
- 0.3.3

* Wed Apr 20 2005 Emmanuel Blindauer <blindauer@mandriva.org> 0.3-2mdk
- Fix group and misc.

* Wed Apr 20 2005 Emmanuel Blindauer <blindauer@mandriva.org> 0.3-1mdk
- 0.3
- source changed

* Fri Aug  6 2004 Emmanuel Blindauer <mdk@agat.net> 0.2-1mdk
- first package
